Package: org.codehaus.groovy.grails.web.transform

## [Java] Class LineNumberTransform

- org.codehaus.groovy.grails.web.transform.LineNumberTransform

- All Implemented Interfaces and Traits:
    org.codehaus.groovy.transform.ASTTransformation

      @org.codehaus.groovy.transform.GroovyASTTransformation(phase=CompilePhase.SEMANTIC_ANALYSIS)
      public class LineNumberTransform
      extends java.lang.Object

  Convert line number information to that based on the line number array passed into the line number array in the LineNumber annotation.

  Authors:
    Andrew Eisenberg

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `visit(org.codehaus.groovy.ast.ASTNode[] nodes, org.codehaus.groovy.control.SourceUnit source)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Method Detail

    - #### public void visit(org.codehaus.groovy.ast.ASTNode[] nodes, org.codehaus.groovy.control.SourceUnit source)